Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class Groovydoc

Access to the GroovyDoc tool from Ant.

version:
  $Id$

Field Summary
`File` | `destDir`
`List` | `excludePackageNames`
`boolean` | `includeNoSourcePackages`
`List` | `links`
`LoggingHelper` | `log`
`List` | `packageNames`
`List` | `packageSets`
`boolean` | `privateScope`
`List` | `sourceFilesToDoc`
`Path` | `sourcePath`
`boolean` | `useDefaultExcludes`
`String` | `windowTitle`

Constructor Summary
`Groovydoc()`

Method Summary
`LinkArgument` | `createLink()` Create link to Javadoc/GroovyDoc output at the given URL.
`void` | `execute()`
`void` | `parsePackages(List resultantPackages, Path sp)` Add the directories matched by the nested dirsets to the Vector and the base directories of the dirsets to the Path.
`void` | `setDestdir(File dir)` Set the directory where the Javadoc output will be generated.
`void` | `setPackagenames(String packages)` Set the package names to be processed.
`void` | `setPrivate(boolean b)` Indicate whether all classes and members are to be included in the scope processed
`void` | `setSourcepath(Path src)` Specify where to find source file
`void` | `setUse(boolean b)`
`void` | `setWindowtitle(String title)` Set the title to be placed in the HTML <title> tag of the generated documentation.

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### createLink

    public LinkArgument createLink()

  Create link to Javadoc/GroovyDoc output at the given URL.
  return:
    link argument to configure

### execute

    public void execute()

### parsePackages

    void parsePackages(List resultantPackages, Path sp)

  Add the directories matched by the nested dirsets to the Vector and the base directories of the dirsets to the Path. It also handles the packages and excludepackages attributes and elements.
  since:
    1.5

### setDestdir

    public void setDestdir(File dir)

  Set the directory where the Javadoc output will be generated.
  param:
    dir the destination directory.

### setPackagenames

    public void setPackagenames(String packages)

  Set the package names to be processed.
  param:
    packages a comma separated list of packages specs
  (may be wildcarded).

### setPrivate

    public void setPrivate(boolean b)

  Indicate whether all classes and members are to be included in the scope processed
  param:
    b true if scope is to be private level.

### setSourcepath

    public void setSourcepath(Path src)

  Specify where to find source file
  param:
    src a Path instance containing the various source directories.

### setUse

    public void setUse(boolean b)

### setWindowtitle

    public void setWindowtitle(String title)

  Set the title to be placed in the HTML <title> tag of the generated documentation.
  param:
    title the window title to use.